Demo.prototype.sceneIntro2 = function () {
  this.setScene('intro2');
  this.loader.addAnimation([
    {
      image: {
        name: 'scenes/lenin.png'
      },
      perspective: '2d',
      position: [
        {
          x: 0,
          y: () => Sync.get('Intro2:LeninY'),
          z: 0
        }
      ],
      scale: [{ uniform2d: () => Sync.get('Intro2:LeninScale') }],

    }]);

  for (let i = 0; i < 60; i++) {
    let randomAngle = Math.random() * 360;
    let randomDir = Math.random() < 0.5 ? -1 : 1;
    this.loader.addAnimation([
      {
        start: i * 0.25-4,
        duration: 6,
        image: {
          name: 'scenes/sovietstar.png'
        },
        perspective: '2d',
        position: [
          {
            x: Math.random() - 0.5,
            y: .7 + Math.random() * 0.4,
          }, {duration:2},{y:-1}
        ],
        angle: [{ degreesZ: () => randomAngle + randomDir*90 * getSceneTimeFromStart() }],
        scale: [{ uniform2d: .3}],

      }]);
  }

  this.loader.addAnimation([{
    start: window.pattern * 2,
    duration: window.pattern,
    image: {
      name: 'scenes/jml_soviet.png'
    },
    perspective: '3d',
    position: [
      {
        x: 0,
        y: .1,

      }
    ],
    scale: [{ uniform2d: 1.5 }],
  }]);

  this.loader.addAnimation([{
    start: window.pattern * 3,
    duration: window.pattern,
    image: {
      name: 'scenes/presents_soviet.png'
    },
    perspective: '3d',
    position: [
      {
        x: 0,
        y: .1,

      }
    ],
    scale: [{ uniform2d: 1.5 }],
  }]);

}
